- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# QTextBoundaryFinder Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qtextboundaryfinder.h.

`#include <qtextboundaryfinder.h>`

List of all members.

## Public Types
enum | BoundaryType { Grapheme, Word, Line, Sentence }
enum | BoundaryReason { NotAtBoundary = 0, StartWord = 1, EndWord = 2 }
## Public Member Functions
| QTextBoundaryFinder ()
| QTextBoundaryFinder (const QTextBoundaryFinder &other)
QTextBoundaryFinder & | operator= (const QTextBoundaryFinder &other)
| ~QTextBoundaryFinder ()
| QTextBoundaryFinder (BoundaryType type, const QString &string)
| QTextBoundaryFinder (BoundaryType type, const QChar *chars, int length, unsigned char *buffer=0, int bufferSize=0)
bool | isValid () const
BoundaryType | type () const
QString | string () const
void | toStart ()
void | toEnd ()
int | position () const
void | setPosition (int position)
int | toNextBoundary ()
int | toPreviousBoundary ()
bool | isAtBoundary () const
BoundaryReasons | boundaryReasons () const

## Member Enumeration Documentation

enum BoundaryType

Search for all occurrences

Enumerator:

  Grapheme | Search for all occurrences
  Word | Search for all occurrences
  Line | Search for all occurrences
  Sentence | Search for all occurrences

Definition at line 64 of file qtextboundaryfinder.h.

                          {
            Grapheme,
            Word,
            Line,
            Sentence
        };

enum BoundaryReason

Search for all occurrences

Enumerator:

  NotAtBoundary | Search for all occurrences
  StartWord | Search for all occurrences
  EndWord | Search for all occurrences

Definition at line 71 of file qtextboundaryfinder.h.

                            {
            NotAtBoundary = 0,
            StartWord = 1,
            EndWord = 2
            //Hyphen
        };

## Constructor & Destructor Documentation

QTextBoundaryFinder | ( |  | ) |

QTextBoundaryFinder | ( | const QTextBoundaryFinder & | other | ) |

~QTextBoundaryFinder | ( |  | ) |

QTextBoundaryFinder | ( | BoundaryType | type,
|  | const QString & | string
| ) |  |

QTextBoundaryFinder | ( | BoundaryType | type,
|  | const QChar * | chars,
|  | int | length,
|  | unsigned char * | buffer = `0`,
|  | int | bufferSize = `0`
| ) |  |

## Member Function Documentation

QTextBoundaryFinder& operator= | ( | const QTextBoundaryFinder & | other | ) |

bool isValid | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 82 of file qtextboundaryfinder.h.

    { return d; }

BoundaryType type | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 84 of file qtextboundaryfinder.h.

    { return t; }

QString string | ( |  | ) | const

Search for all occurrences

void toStart | ( |  | ) |

Search for all occurrences

void toEnd | ( |  | ) |

Search for all occurrences

int position | ( |  | ) | const

Search for all occurrences

void setPosition | ( | int | position | ) |

Search for all occurrences

int toNextBoundary | ( |  | ) |

Search for all occurrences

int toPreviousBoundary | ( |  | ) |

Search for all occurrences

bool isAtBoundary | ( |  | ) | const

Search for all occurrences

BoundaryReasons boundaryReasons | ( |  | ) | const

Search for all occurrences

The documentation for this class was generated from the following file:

- QtCore/qtextboundaryfinder.h

QTextBoundaryFinder QTextBoundaryFinder QTextBoundaryFinder QTextBoundaryFinder QTextBoundaryFinder QTextBoundaryFinder QTextBoundaryFinder QTextBoundaryFinder QTextBoundaryFinder QTextBoundaryFinder
QTextBoundaryFinder QTextBoundaryFinder QTextBoundaryFinder QTextBoundaryFinder QTextBoundaryFinder QTextBoundaryFinder QTextBoundaryFinder QTextBoundaryFinder QTextBoundaryFinder QTextBoundaryFinder